ambari-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From smoha...@apache.org
Subject ambari git commit: AMBARI-12318. Phoenix rolling upgrade should use hbase specific configs
Date Wed, 08 Jul 2015 05:31:16 GMT
Repository: ambari
Updated Branches:
  refs/heads/trunk 508c9d187 -> 02dfbab58


AMBARI-12318. Phoenix rolling upgrade should use hbase specific configs


Project: http://git-wip-us.apache.org/repos/asf/ambari/repo
Commit: http://git-wip-us.apache.org/repos/asf/ambari/commit/02dfbab5
Tree: http://git-wip-us.apache.org/repos/asf/ambari/tree/02dfbab5
Diff: http://git-wip-us.apache.org/repos/asf/ambari/diff/02dfbab5

Branch: refs/heads/trunk
Commit: 02dfbab5821bdf3114b73cceea0714504f2b4895
Parents: 508c9d1
Author: Sumit Mohanty <smohanty@hortonworks.com>
Authored: Tue Jul 7 22:05:45 2015 -0700
Committer: Sumit Mohanty <smohanty@hortonworks.com>
Committed: Tue Jul 7 22:05:45 2015 -0700

----------------------------------------------------------------------
 .../HBASE/0.96.0.2.0/package/scripts/phoenix_queryserver.py       | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/ambari/blob/02dfbab5/ambari-server/src/main/resources/common-services/HBASE/0.96.0.2.0/package/scripts/phoenix_queryserver.py
----------------------------------------------------------------------
diff --git a/ambari-server/src/main/resources/common-services/HBASE/0.96.0.2.0/package/scripts/phoenix_queryserver.py
b/ambari-server/src/main/resources/common-services/HBASE/0.96.0.2.0/package/scripts/phoenix_queryserver.py
index 5b3ed34..17c0014 100644
--- a/ambari-server/src/main/resources/common-services/HBASE/0.96.0.2.0/package/scripts/phoenix_queryserver.py
+++ b/ambari-server/src/main/resources/common-services/HBASE/0.96.0.2.0/package/scripts/phoenix_queryserver.py
@@ -58,7 +58,8 @@ class PhoenixQueryServer(Script):
     env.set_params(params)
 
     if Script.is_hdp_stack_greater_or_equal("2.3"):
-      conf_select.select(params.stack_name, "phoenix", params.version)
+      # phoenix uses hbase configs
+      conf_select.select(params.stack_name, "hbase", params.version)
       hdp_select.select("phoenix-server", params.version)
 
 


Mime
View raw message